package org.gnu.composer.CommonTools;

/**
 * This class contains methods that will be
 * helpful in debugging an application.
 * 
 * @author Branden Archer
 */
public class DebugTools
{
	/**
	 * Returns stack trace, for a given thread, in the
	 * form of a string.
	 * @param thread - Thread to trace
	 * @return the stack trace in a string.
	 */
	public static String currentStackTrace(Thread thread)
	{
		StackTraceElement [] stack = thread.getStackTrace();
		String stackTrace = "";
		for(int index = 0; index < stack.length; index++)
		{
			stackTrace += stack[index] + "\n";
		}
		return stackTrace;
	}
	
	/**
	 * @return the current stack trace of calling thread
	 * in a string.
	 */
	public static String currentStackTrace()
	{
		return currentStackTrace(Thread.currentThread());
	}
	
}
