package org.gnu.composer.DB;

import java.util.LinkedList;

/**
 * A holder of all tracks in a given disc.
 * 
 * @author Branden Archer
 */
public class Disc 
{
	private LinkedList tracks_;
	
	/**
	 * Constructor to create a blank disc
	 */
	public Disc()
	{
		tracks_ = new LinkedList();
	}
	
	/**
	 * Add a track to the given disc
	 * @param track
	 */
	public void addTrack(Track track)
	{
		tracks_.add(track);
	}
	
	/**
	 * @return Array of all tracks that are associated 
	 * with this disc.
	 */
	public Track [] tracks()
	{
		Object [] allObjects = tracks_.toArray();
		Track  [] allTracks  = new Track[allObjects.length];
		for(int index = 0; index < allObjects.length; index++)
		{
			allTracks[index] = (Track) allObjects[index];
		}
		
		return allTracks;
	}
	
	public int size()
	{
		return tracks_.size();
	}
}
