package org.gnu.composer.DB;

public class JobState
{
	private int stateValue_;
	
	/**
	 * Constructor for the enum.
	 * @param state
	 */
	private JobState(int state)
	{
		stateValue_ = state;
	}
	
	/**
	 * @return The number of the state this enum represents.
	 */
	public int stateValue()
	{
		return stateValue_;
	}
	
	//The following code is the 'enum' part of the class. 
	
	public static final JobState UNINITIALZIED = new JobState(0);
	public static final JobState QUEUED        = new JobState(1);
	public static final JobState PROCESSING    = new JobState(2);
	public static final JobState ERRORED       = new JobState(3);
	public static final JobState COMPLETED     = new JobState(4);
	public static final JobState ABORTED       = new JobState(5);
	public static final JobState UNKNOWN       = new JobState(6);
	;
	
	/**
	 * @return Array containing all the elements.
	 */
	public static JobState [] values()
	{
		JobState [] values = new JobState[7];
		values[0] = UNINITIALZIED;
		values[1] = QUEUED;
		values[2] = PROCESSING;
		values[3] = ERRORED;
		values[4] = ERRORED;
		values[5] = ABORTED;
		values[6] = UNKNOWN;
		return values;
	}
	
	//List of all values in this enum, as a lookup table.
	private static JobState [] values_ = JobState.values();
	
	/**
	 * Convert an integer to a JobState enum type.
	 * @param lookup - value of the enum to lookup.
	 * @return The enum, or UNKNOWN if not found.
	 */
	public static JobState convFromInt(int lookup)
	{
		JobState state = JobState.UNKNOWN;
		boolean looking  = true;
		
		for(int index = 0; looking && index < values_.length; index++)
		{
			if(values_[index].stateValue() == lookup)
			{
				state   = values_[index];
				looking = false;
			}
		}
		
		return state;
	}
}
