package org.gnu.composer.RuntimeSettings;

import java.io.File;

/**
 * This class is a holder for all global settings which are
 * passed into the java vm at startup.
 * 
 * @author Branden Archer
 */
public class RuntimeSettings 
{
	/**
	 * Load the settings
	 */
	static
	{
		String tempString;
		boolean tempBoolean;
		
		try
		{
			tempString = new File(System.getProperty("TestOutputDir")).getAbsolutePath() + "/";
		}
		catch(NullPointerException e)
		{
			System.out.println("testOutputRoot setting not configured");
			tempString = "test/tmpTestDir/";
		}
		
		testOutputRoot = tempString;
		
		try
		{
			tempString = new File(System.getProperty("CfgRoot")).getAbsolutePath() + "/";
		}
		catch(NullPointerException e)
		{
			System.out.println("cfgRoot setting not configured");
			tempString = "cfg/";
		}
		
		cfgRoot = tempString;
		
		try
		{
			tempString = new File(System.getProperty("LogRoot")).getAbsolutePath() + "/";
		}
		catch(NullPointerException e)
		{
			System.out.println("logRoot setting not configured");
			tempString = "log/";
		}
		
		logRoot = tempString;
		
		try
		{
			tempBoolean = Boolean.parseBoolean(System.getProperty("RealMode"));
		}
		catch(NullPointerException e)
		{
			System.out.println("realMode setting not configured");
			tempBoolean = false;
		}

		realMode = tempBoolean;
		
		try
		{
			tempString = new File(System.getProperty("BuildRoot")).getAbsolutePath() + "/";
		}
		catch(NullPointerException e)
		{
			System.out.println("buildRoot setting not configured");
			tempString = "build/";
		}
		
		buildRoot = tempString;
	}
	
	public static final String testOutputRoot;
	public static final String cfgRoot;
	public static final String logRoot;
	public static final String buildRoot;
	
	public static final boolean realMode;
}
